| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Business Group

Business Group Definitions and Methods. More...

## Classes
struct | unsp__BgTMEntry
| BG Traffic Measurement Entry. More...
struct | unsp__BgTMList
| BG Traffic Measurement List. More...
struct | unsp__BgTMData
| BG Traffic Measurement Data. More...
struct | unsp__GetBGDataOptionList
| Get BG Data Option List. More...
struct | unsp__GetBGDataOptions
| Get BG Data Options. More...
struct | unsp__GetBGInfoRequest
| Get Business Group Information request. More...
struct | unsp__BGMainNumberEntry
| BG Main Number Entry. More...
struct | unsp__BGMainNumberList
| BG Main Number List. More...
struct | unsp__BGDialingPlanEntry
| BG Dialing Plan Entry. More...
struct | unsp__BGDialingPlanList
| BG Dialing Plan List. More...
struct | unsp__BGAttendantNumberEntry
| BG Attendant Number Entry. More...
struct | unsp__BGAttendantNumberList
| BG Attendant Number List. More...
struct | unsp__BGAttendantNumberListResult
| BG Attendant Number List result. More...
struct | unsp__BgCpuEntry
| Call Pickup Group Entry. More...
struct | unsp__BgCpuList
| Call Pickup Group List. More...
struct | unsp__ModBGParms
| Modify Business Group Parameters. More...
struct | unsp__GetBGParms
| Get Business Group Prameters. More...
struct | unsp__CreateBGRequest
| Create Business Group request. More...
struct | unsp__CreateBGReq2
| Create Business Group request 2. More...
struct | unsp__CreateBGResult
| Create Business Group result. More...
struct | unsp__ResultListEntry
| Result List Entry. More...
struct | unsp__ResultList
| Result List. More...
struct | unsp__BgPacExtentionEntry
| BG PAC Extension Entry. More...
struct | unsp__BgPacExtentionList
| BG PAC List for extension dialing. More...
struct | unsp__BgReservedRangeEntry
| Reserved DN Range Entry. More...
struct | unsp__BgReservedRangeList
| Reserved DN Range List. More...
struct | unsp__BGSuiteInfo
| BG Suite Information. More...
struct | unsp__CreateBGSuiteRequest
| Create BG Suite request. More...
struct | unsp__CreateBGSuiteResult
| Create BG Suite result. More...
struct | unsp__UpdateDnReservationRequest
| Update DN Reservation request. More...
struct | unsp__UpdateDnReservationResult
| Update DN Reservation result. More...
struct | unsp__BgUniqeReservedDnEntry
| BG Unique Reserved DN Entry of single DN. More...
struct | unsp__BgDnList
| List of BG Reserved DNs. More...
struct | unsp__GetBGDnRequest
| Get BG Reserved DNs request. More...
struct | unsp__GetBGDnResult
| Get BG Reserved DNs result. More...
struct | unsp__BGAuditData
| BG Audit Data. More...
struct | unsp__GetBGResult
| Get Business Group result. More...
struct | unsp__GetBGListSortElement
| Get BG List Sort Element. More...
struct | unsp__GetBGListSortList
| Get BG List Sort List. More...
struct | unsp__GetBGListData
| Get BG List Data. More...
struct | unsp__GetBGListDataEnhancedItem
| Get BG List Enhanced Item. More...
struct | unsp__GetBGListDataEnhanced
| Get BG List Enhanced Data. More...
struct | unsp__GetBGListDataOptionItem
| Get BG List Data Option Item. More...
struct | unsp__GetBGListDataOptionList
| Get BG List Data Option List. More...
struct | unsp__GetBGListRequest
| Get BG List request. More...
struct | unsp__GetBGListResult
| Get BG List result. More...
struct | unsp__GetBGListResultEnhanced
| Get BG List Enhanced result. More...
struct | unsp__UpdateBGStatusRequest
| Update Business Group Status request. More...
struct | unsp__UpdateBGStatusResult
| Update Business Group Status result. More...
struct | unsp__AddBGMainNumberRequest
| Add BG Main Number request. More...
struct | unsp__AddBGMainNumberResult
| Add BG Main Number result. More...
struct | unsp__DeleteBGMainNumberRequest
| Delete BG Main Number request. More...
struct | unsp__DeleteBGMainNumberResult
| Delete BG Main Number result. More...
struct | unsp__UpdateBGMainNumberRequest
| Update BG Main Number request. More...
struct | unsp__UpdateBGMainNumberResult
| Update BG Main Number result. More...
struct | unsp__UpdateBGFeaturesRequest
| Update BG Features request. More...
struct | unsp__UpdateBGFeaturesResult
| Update BG Features result. More...
struct | unsp__GetBGInfoReq2
| Get BG Info request. More...
struct | unsp__GetBGInfoResult
| Get BG Info result. More...
struct | unsp__DeleteBGRequest
| Delete BG request. More...
struct | unsp__DeleteBGResult
| Delete BG result. More...
struct | unsp__GetBGAttendantNumbersRequest
| Get BG Attendant Numbers request. More...
struct | unsp__LPLinListEntry
| Entry of Lin Pool List. More...
struct | unsp__GetBGInfoByOptionsRequest
| Get BG Information By Options request. More...
struct | unsp__UpdateBGParmsRequest
| Update Business Groups Parameters request. More...
struct | unsp__UpdateBGParmsResult
| Update Business Groups Parameters result. More...

## Enumerations
enum | unsp__GetBGDataOption { IncludeCpu__, IncludeListOfFeatures__, IncludeBgMainNumberList__, IncludeBgTrafficInfo__ }
| Options to include addition data along with the BG Information. More...
enum | unsp__BGAutoAttendantStatus { Enabled_, Disabled_ }
| Specifies the availability of BG Auto Attendant. More...
enum | unsp__MDRIndicator { MDRNone, Off, On }
| Message Detail Recording Indicator. More...
enum | unsp__BGStatus { Active_, Blocked_ }
| The Status of the Business Group. More...
enum | unsp__ReservationUpdateType { ReserveDnRange, UnReserveDnRange }
| Indicates the action to be applied on the provided list of DN reservation entries. More...
enum | unsp__BgDnRequestType { BgReservedDnRange, BgReservedVacant, BgReservedUsed, BgReservedAll }
| Filters the returned Reserved DNs of a Business Group. More...
enum | unsp__GetBGListSortType { BGListSortBGName }
| Sort Criterion for Business Group List. More...
enum | unsp__GetBGListDataOption { BgListDataInclBGDisplayNum_ }
| Options to include additional Data in the List of Business Groups. More...

## Functions
int | unsp__CreateBGSuite (struct unsp__CreateBGSuiteRequest CreateBGSuiteRequest, struct unsp__CreateBGSuiteResult *CreateBGSuiteResult)
| This method allows configuring Business Group (BG) in Small Office Home Office (SOHO) with an objective of easy creation, very simple Private Number Plan (PNP) etc. More...
int | unsp__UpdateDnReservation (struct unsp__UpdateDnReservationRequest UpdateDnReservationRequest, struct unsp__UpdateDnReservationResult *UpdateDnReservationResult)
| Updates the Reserved DNs of the specified Business Group. More...
int | unsp__GetBGDnList (struct unsp__GetBGDnRequest GetBGDnRequest, struct unsp__GetBGDnResult *GetBGDnResult)
| Retrieves the list of the reserved DNs of the specified Business Group. More...
int | unsp__GetBGList2 (struct unsp__GetBGListRequest GetBGListRequest, struct unsp__GetBGListResult *BGListResult)
| Retrieves the list of Business Group Names. More...
int | unsp__GetBGList3 (struct unsp__GetBGListRequest GetBGListRequest, struct unsp__GetBGListResultEnhanced *BGListResult)
| Retrieves the list of Business Group Names along with their Display Number and the number of associated subscribers. More...
int | unsp__CreateBG2 (struct unsp__CreateBGReq2 CreateBGRequest, struct unsp__CreateBGResult *CreateBGResult)
| Cretes a Business Group. More...
int | unsp__UpdateBGStatus2 (struct unsp__UpdateBGStatusRequest UpdateBGStatusRequest, struct unsp__UpdateBGStatusResult *UpdateBGStatusResult)
| Updates the status of the specified Business Group. More...
int | unsp__AddBGMainNumber2 (struct unsp__AddBGMainNumberRequest AddBGMainNumberRequest, struct unsp__AddBGMainNumberResult *AddBGMainNumberResult)
| Adds the Main Number for the specified Business Group, with Attendant Number, auto Attendant Number and Auto Attendant Status. More...
int | unsp__DeleteBGMainNumber2 (struct unsp__DeleteBGMainNumberRequest DeleteBGMainNumberRequest, struct unsp__DeleteBGMainNumberResult *DeleteBGMainNumberResult)
| Removes a Main Number from the specified Business GRoup. More...
int | unsp__UpdateBGMainNumber2 (struct unsp__UpdateBGMainNumberRequest UpdateBGMainNumberRequest, struct unsp__UpdateBGMainNumberResult *UpdateBGMainNumberResult)
| Updates the Main Number of the specified Business Group. More...
int | unsp__UpdateBGFeatures2 (struct unsp__UpdateBGFeaturesRequest UpdateBGFeaturesRequest, struct unsp__UpdateBGFeaturesResult *UpdateBGFeaturesResult)
| This method is used to add to, replace, or delete a feature from a Business Group. More...
int | unsp__GetBGInfo2 (struct unsp__GetBGInfoReq2 GetBGInfoRequest, struct unsp__GetBGResult *GetBGResult)
| Retrieves the information, such as BG Name, Main Number, and Dialing Plan, as well as the features that are assigned to the specified Business Group. More...
int | unsp__DeleteBG2 (struct unsp__DeleteBGRequest DeleteBGRequest, struct unsp__DeleteBGResult *DeleteBGResult)
| Deletes the specified Business Group. More...
int | unsp__GetBGAttendantNumbers2 (struct unsp__GetBGAttendantNumbersRequest GetBGAttendantNumbersRequest, struct unsp__BGAttendantNumberListResult *BGAttendantNumberListResult)
| Retrieves the list of DNs provisioned as Attendant Numbers for the specified Business Group. More...
int | unsp__GetBGInfoByOptions2 (struct unsp__GetBGInfoByOptionsRequest GetBGInfoByOptionsRequest, struct unsp__GetBGResult *GetBGResult)
| This method returns the BG info based on options being options specified in the SOAP request. More...
int | unsp__UpdateBGParms2 (struct unsp__UpdateBGParmsRequest UpdateBGParmsRequest, struct unsp__UpdateBGParmsResult *UpdateBGParmsResult)
| Modifies the parameter values of the specified Business Group. More...

## Detailed Description

Business Group Definitions and Methods.

A Business Group allows grouping of related subscribers and other entities. The maximum number of Business Groups supported on the system is controlled by an RTP parameter, Srx/Main/MaxNumberBGSupported, with a predefined upper limit of 6000.

## Enumeration Type Documentation

## ◆ unsp__BGAutoAttendantStatus

enum unsp__BGAutoAttendantStatus

Specifies the availability of BG Auto Attendant.

Enumerator
Enabled_ | Enabled.
Disabled_ | Disabled.

## ◆ unsp__BgDnRequestType

enum unsp__BgDnRequestType

Filters the returned Reserved DNs of a Business Group.

Enumerator
BgReservedDnRange | DN Ranges.
BgReservedVacant | Vacant DNs.
BgReservedUsed | Used DNs.
BgReservedAll | All.

## ◆ unsp__BGStatus

enum unsp__BGStatus

The Status of the Business Group.

Enumerator
Active_ | Active.
Blocked_ | Blocked.

## ◆ unsp__GetBGDataOption

enum unsp__GetBGDataOption

Options to include addition data along with the BG Information.

Enumerator
IncludeCpu__ | Include List of Call Pickup Groups.
IncludeListOfFeatures__ | Include List of Features.
IncludeBgMainNumberList__ | Include List of Main Numbers.
IncludeBgTrafficInfo__ | Include Traffic Information.

## ◆ unsp__GetBGListDataOption

enum unsp__GetBGListDataOption

Options to include additional Data in the List of Business Groups.

Enumerator
BgListDataInclBGDisplayNum_ | Include BG Display Number.

## ◆ unsp__GetBGListSortType

enum unsp__GetBGListSortType

Sort Criterion for Business Group List.

Enumerator
BGListSortBGName | Sort By Business Group Name.

## ◆ unsp__MDRIndicator

enum unsp__MDRIndicator

Message Detail Recording Indicator.

This parameter is set as On/Off to indicate the insertion of the MDR Customer ID in the CDR records.

Enumerator
MDRNone | None.
Off | Off.
On | On.

## ◆ unsp__ReservationUpdateType

enum unsp__ReservationUpdateType

Indicates the action to be applied on the provided list of DN reservation entries.

Enumerator
ReserveDnRange | Reserve Entries.
UnReserveDnRange | Unreserve Entries.

## Function Documentation

## ◆ unsp__AddBGMainNumber2()

unsp__AddBGMainNumber2 | ( | struct unsp__AddBGMainNumberRequest | AddBGMainNumberRequest,
|  | struct unsp__AddBGMainNumberResult * | AddBGMainNumberResult
| ) |  |

Adds the Main Number for the specified Business Group, with Attendant Number, auto Attendant Number and Auto Attendant Status.

The Main Number can be a virtual number or real number. The Attendant must be created before it can be assigned to the BG.

Parameters

  AddBGMainNumberRequest | API request
  AddBGMainNumberResult | API result MP2 command: ABM [Attributes]

## ◆ unsp__CreateBG2()

unsp__CreateBG2 | ( | struct unsp__CreateBGReq2 | CreateBGRequest,
|  | struct unsp__CreateBGResult * | CreateBGResult
| ) |  |

Cretes a Business Group.

The maximum number of Business Groups supported on the system is controlled by an RTP parameter, Srx/Main/MaxNumberBGSupported, with a predefined upper limit of 6000.

Parameters

  CreateBGRequest | API request
  CreateBGResult | API result MP2 command: CBG [Attributes]

## ◆ unsp__CreateBGSuite()

int unsp__CreateBGSuite | ( | struct unsp__CreateBGSuiteRequest | CreateBGSuiteRequest,
|  | struct unsp__CreateBGSuiteResult * | CreateBGSuiteResult
| ) |  |

This method allows configuring Business Group (BG) in Small Office Home Office (SOHO) with an objective of easy creation, very simple Private Number Plan (PNP) etc.

Creation of BG in SOHO will be in one or two steps with all the features unlike Business Connect (BC) solution that is used to create large and sophisticated Business Groups. Configuration of BG Services and BG lines will be same as before. However, during the BG creation, DNs can be reserved to be used by a BG so that no others can use these DNs and avoid overlapped extension dialing. While creating a BGL only one of the reserved DNs can be requested to be associated with the BGL.

The BG Suite concept composes of several existing Business Group related objects, and the new DN Reservation object, and groups them into in one single request. Reservation of HomeDNs and creation of routing entries at the time the Business Group is created is provided as an option. For this purpose, the CreateBGSuite supports creation of a BG and respective routing entries even when the DNReserveEnabled is set to false. All HomeDNs defined in this field must be unreserved and Vacant, else the operation shall fail.

During un-reservation of a HomeDN range, a validation of the range that is already reserved for the Business Group is performed. If the HomeDN range is reserved for a different Business Group than the one provided in the request the operation fails.

It should be noted that although private numbering plan field is optional when omitted, a new private numbering plan is created with the following convention name: NP_BGNAME with all additional provisioning of prefix access codes, destination codes and extensions. In case the creation of private numbering plan fails, BG Suite creation is aborted.

Parameters

  CreateBGSuiteRequest | API request
  CreateBGSuiteResult | API result

## ◆ unsp__DeleteBG2()

unsp__DeleteBG2 | ( | struct unsp__DeleteBGRequest | DeleteBGRequest,
|  | struct unsp__DeleteBGResult * | DeleteBGResult
| ) |  |

Deletes the specified Business Group.

The BG cannot have any existing subscribers or endpoint profiles or associated numbering plans or BG subnets. Other BG-dependent objects, such as BG departments, are deleted automatically upon successful completion of this request.

Parameters

  DeleteBGRequest | API request
  DeleteBGResult | API result MP2 command: RBG [Attributes]

## ◆ unsp__DeleteBGMainNumber2()

unsp__DeleteBGMainNumber2 | ( | struct unsp__DeleteBGMainNumberRequest | DeleteBGMainNumberRequest,
|  | struct unsp__DeleteBGMainNumberResult * | DeleteBGMainNumberResult
| ) |  |

Removes a Main Number from the specified Business GRoup.

Parameters

  DeleteBGMainNumberRequest | API request
  DeleteBGMainNumberResult | API result MP2 command: RBM [Attributes]

## ◆ unsp__GetBGAttendantNumbers2()

unsp__GetBGAttendantNumbers2 | ( | struct unsp__GetBGAttendantNumbersRequest | GetBGAttendantNumbersRequest,
|  | struct unsp__BGAttendantNumberListResult * | BGAttendantNumberListResult
| ) |  |

Retrieves the list of DNs provisioned as Attendant Numbers for the specified Business Group.

Parameters

  GetBGAttendantNumbersRequest | API request
  BGAttendantNumberListResult | API result

## ◆ unsp__GetBGDnList()

unsp__GetBGDnList | ( | struct unsp__GetBGDnRequest | GetBGDnRequest,
|  | struct unsp__GetBGDnResult * | GetBGDnResult
| ) |  |

Retrieves the list of the reserved DNs of the specified Business Group.

Parameters

  GetBGDnRequest | API request
  GetBGDnResult | API result

## ◆ unsp__GetBGInfo2()

unsp__GetBGInfo2 | ( | struct unsp__GetBGInfoReq2 | GetBGInfoRequest,
|  | struct unsp__GetBGResult * | GetBGResult
| ) |  |

Retrieves the information, such as BG Name, Main Number, and Dialing Plan, as well as the features that are assigned to the specified Business Group.

Parameters

  GetBGInfoRequest | API request
  GetBGResult | API result

## ◆ unsp__GetBGInfoByOptions2()

unsp__GetBGInfoByOptions2 | ( | struct unsp__GetBGInfoByOptionsRequest | GetBGInfoByOptionsRequest,
|  | struct unsp__GetBGResult * | GetBGResult
| ) |  |

This method returns the BG info based on options being options specified in the SOAP request.

The options include a list of features, CPUs, MainNumber and Number Plan, and BGService Access Codes.

Parameters

  GetBGInfoByOptionsRequest | API request
  GetBGResult | API result

## ◆ unsp__GetBGList2()

unsp__GetBGList2 | ( | struct unsp__GetBGListRequest | GetBGListRequest,
|  | struct unsp__GetBGListResult * | BGListResult
| ) |  |

Retrieves the list of Business Group Names.

Filtering is performed on NumberPlanName and BGName (supporting wildcarding). If Number Plan Name is provided, only BGs that are associated with the given Numbering Plan are returned. Sorting is also supported by BGName if the GetBGListSortList list is filled. ascending/descending ordering option is provided. If left empty sorting is by default on the BG index.

Parameters

  GetBGListRequest | API request
  BGListResult | API result

## ◆ unsp__GetBGList3()

unsp__GetBGList3 | ( | struct unsp__GetBGListRequest | GetBGListRequest,
|  | struct unsp__GetBGListResultEnhanced * | BGListResult
| ) |  |

Retrieves the list of Business Group Names along with their Display Number and the number of associated subscribers.

Filtering is performed on NumberPlanName and BGName (supporting wildcarding). If Number Plan Name is provided, only BGs that are associated with the given Numbering Plan are returned. Sorting is also supported by BGName if the GetBGListSortList list is filled. ascending/descending ordering option is provided. If left empty sorting is by default on the BG index.

Parameters

  GetBGListRequest | API request
  BGListResult | API result

## ◆ unsp__UpdateBGFeatures2()

unsp__UpdateBGFeatures2 | ( | struct unsp__UpdateBGFeaturesRequest | UpdateBGFeaturesRequest,
|  | struct unsp__UpdateBGFeaturesResult * | UpdateBGFeaturesResult
| ) |  |

This method is used to add to, replace, or delete a feature from a Business Group.

Only a small number of features apply at the BG level, and these are features that only apply at that level - that is, the associated data is not propagated to the BGLs

and is not displayed at the BGL level, although the data associated with the BG features is used during call processing for the BGLs where applicable.

Parameters

  UpdateBGFeaturesRequest | API request
  UpdateBGFeaturesResult | API result MP2 commands: ABF RBF

## ◆ unsp__UpdateBGMainNumber2()

unsp__UpdateBGMainNumber2 | ( | struct unsp__UpdateBGMainNumberRequest | UpdateBGMainNumberRequest,
|  | struct unsp__UpdateBGMainNumberResult * | UpdateBGMainNumberResult
| ) |  |

Updates the Main Number of the specified Business Group.

Parameters

  UpdateBGMainNumberRequest | API request
  UpdateBGMainNumberResult | API result MP2 command: UBM [Attributes]

## ◆ unsp__UpdateBGParms2()

unsp__UpdateBGParms2 | ( | struct unsp__UpdateBGParmsRequest | UpdateBGParmsRequest,
|  | struct unsp__UpdateBGParmsResult * | UpdateBGParmsResult
| ) |  |

Modifies the parameter values of the specified Business Group.

Parameters

  UpdateBGParmsRequest | API request
  UpdateBGParmsResult | API result MP2 commands: * BGPARAMSMODIFY [Attributes] * UBCNT [Attributes] * UBMDR [Attributes]

## ◆ unsp__UpdateBGStatus2()

unsp__UpdateBGStatus2 | ( | struct unsp__UpdateBGStatusRequest | UpdateBGStatusRequest,
|  | struct unsp__UpdateBGStatusResult * | UpdateBGStatusResult
| ) |  |

Updates the status of the specified Business Group.

Parameters

  UpdateBGStatusRequest | API request
  UpdateBGStatusResult | API result MP2 command: UBS [Attributes]

## ◆ unsp__UpdateDnReservation()

unsp__UpdateDnReservation | ( | struct unsp__UpdateDnReservationRequest | UpdateDnReservationRequest,
|  | struct unsp__UpdateDnReservationResult * | UpdateDnReservationResult
| ) |  |

Updates the Reserved DNs of the specified Business Group.

Parameters

  UpdateDnReservationRequest | API request
  UpdateDnReservationResult | API result MP2 command: BGRESERVATION [Attributes]